%define url_ver %(echo %{version} | cut -d. -f1,2)

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	A power manager for Xfce
Name:		xfce4-power-manager
Epoch:		1
Version:	4.19.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		https://docs.xfce.org/xfce/xfce4-power-manager/start
Source0:	https://archive.xfce.org/src/xfce/xfce4-power-manager/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfconf-0) >= 4.18.0
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.18.0
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.18.0
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	polkit-devel
Requires:	xfce4-panel
Requires:	upower

%description
A power manager dedicated for Xfce desktop environment.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-static \
	--enable-panel-plugins \
	--enable-network-manager \
	--enable-polkit

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README*
%{_sysconfdir}/xdg/autostart/*.desktop
%{_sbindir}/xfpm-power-backlight-helper
%{_sbindir}/xfce4-pm-helper
%{_bindir}/%{name}*
%{_datadir}/polkit-1/actions/org.xfce.power.policy
%{_datadir}/applications/*.desktop
%{_metainfodir}/xfce4-power-manager.appdata.xml
%{_iconsdir}/hicolor/scalable/*/*.svg
%{_iconsdir}/hicolor/*/*/*.png
%{_mandir}/man1/*
#panel plugin
%{_libdir}/xfce4/panel/plugins/libxfce4powermanager.so
%{_datadir}/xfce4/panel/plugins/power-manager-plugin.desktop
